#
# spec file for package emacs-with-editor
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
Name:           emacs-with-editor
Version:        2.7.0
Release:        lp150.1.5
Summary:        Use the Emacsclient as the $EDITOR of child processes
License:        GPL-3.0+
Group:          Productivity/Editors/Emacs
Url:            https://github.com/magit/with-editor/
Source0:        https://github.com/magit/with-editor/archive/v%{version}.tar.gz
BuildRequires:  emacs-dash
BuildRequires:  emacs-nox
BuildRequires:  make
BuildRequires:  makeinfo
Requires:       emacs
Requires:       emacs-dash
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}

%define _sitedir %{_datadir}/emacs/site-lisp/

%description
This library makes it possible to reliably use the Emacsclient as the $EDITOR
of child processes. It makes sure that they know how to call home. For remote
processes a substitute is provided, which communicates with Emacs on standard
output/input instead of using a socket as the Emacsclient does.

%prep
%setup -q -n with-editor-%{version}

%build
make DFLAGS="-L %{_sitedir}" all

%install
install -d %{buildroot}/%{_sitedir}/
install -m 644 *.el *.elc %{buildroot}/%{_sitedir}/
install -D -m 644 with-editor.info %{buildroot}/%{_infodir}/with-editor.info

%post
%install_info --info-dir=%{_infodir} %{_infodir}/with-editor.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/with-editor.info.gz

%files
%defattr(-,root,root,-)
%{_datadir}/emacs/site-lisp/*.el
%{_datadir}/emacs/site-lisp/*.elc
%{_infodir}/with-editor.info.gz

%changelog
* Tue Dec  5 2017 auxsvr@gmail.com
- Upgraded to version 2.7.0
  * #23 Enable with-editor-mode when using *-shell-command asynchronously.
  * Fix an error when using with-editor in shell, term, and shell buffers.
  * Test on Travis.
  * No changelog was made available for earlier versions.
* Mon Feb 15 2016 psimons@suse.com
- initial version 2.5.0
